Page MenuHomePhabricator

Pass current / previous revision's information to Parsoid
Closed, ResolvedPublic

Description

Parsoid implements several optimizations to speed up re-rendering tasks by reusing previous HTML and data-parsoid content. RESTBase does not yet properly implement this. It basically fell through the cracks after being touched on in T75955.

Rough outline:

  • OnEdit:
    • pass the previous revision's HTML + data-parsoid to Parsoid
  • OnDependencyChange:
    • pass the current revision's HTML + data-parsoid
    • signal whether images or templates need to be updated (from header info)

Event Timeline

GWicke raised the priority of this task from to High.
GWicke updated the task description. (Show Details)
GWicke added projects: RESTBase, Parsoid.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 3:54 PM

Note that the extension already provides this info to RESTBase.

For OnEdit, it adds a X-Restbase-ParentRevision header, while for OnDepChange, the current revision is part of the URI, while the X-Restbase-Mode header contains whether this is a templates or files update.

GWicke moved this task from Backlog to Ready / next on the RESTBase board.Mar 17 2015, 8:18 PM
GWicke set Security to None.
ssastry moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Apr 21 2015, 3:54 AM
GWicke closed this task as Resolved.Apr 23 2015, 8:36 PM
GWicke claimed this task.